.comma {
  display: flex;
  // margin: 1rem;

  &-item {
    
    &:not(.hidden) ~ &:not(.hidden) { // select the second of two visible items
      &:before {
        content: ', '; // and put a comma before it
      }
    }

    &.hidden {
      display: none;
    }
  }
}